Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
quangthanhdu

Sửa giúp lisp chọn nhiều layer?

Các bài được khuyến nghị

Em siêu tầm được cái lisp chọn nhiều layer nhưng khi sử dụng, đối tượng được chon không thể hiện (thông thường trong cad khi đối tượng được chon sẽ thể hiện nét đữt),nên không biết layer đó mình đã chọn hay chưa? Mọi người chỉnh sửa lại giúp.

 

 

(defun C:SLL (/ e lay ss layl)

(setq layl ""

ss (ssadd)

)

(while (setq e (nentsel "\nSelect entity on a layer : "))

(setq layl (strcat layl "," (cdr (assoc 8 (entget (car e))))))

) ;while

(setq layl (substr layl 2))

(if (> layl "")

(setq ss (ssget "_X" (list (cons 8 layl))))

)

(if (zerop (getvar "CMDACTIVE"))

(progn (sssetfirst ss ss)

(princ "Use 'P' for this selection set: ")

)

)

ss

)

 

(princ "\nVTH")

(princ)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Em siêu tầm được cái lisp chọn nhiều layer nhưng khi sử dụng, đối tượng được chon không thể hiện (thông thường trong cad khi đối tượng được chon sẽ thể hiện nét đữt),nên không biết layer đó mình đã chọn hay chưa? Mọi người chỉnh sửa lại giúp.

(defun C:SLL (/ e lay ss layl)

(setq layl ""

ss (ssadd)

)

(while (setq e (nentsel "\nSelect entity on a layer : "))

(setq layl (strcat layl "," (cdr (assoc 8 (entget (car e))))))

) ;while

(setq layl (substr layl 2))

(if (> layl "")

(setq ss (ssget "_X" (list (cons 8 layl))))

)

(if (zerop (getvar "CMDACTIVE"))

(progn (sssetfirst ss ss)

(princ "Use 'P' for this selection set: ")

)

)

ss

)

 

(princ "\nVTH")

(princ)

 

Thay đoạn code này

(setq layl ""

ss (ssadd)

)

(while (setq e (nentsel "\nSelect entity on a layer : "))

(setq layl (strcat layl "," (cdr (assoc 8 (entget (car e))))))

) ;while

Bằng đoạn code này

(setq layl "" ss (ssget) i 0)

(repeat (sslength ss) (setq layl (strcat layl "," (cdr (assoc 8 (entget (ssname ss i))))) i (1+ i)))

(setq ss (ssadd))

PS: xoá 2 biến định nghĩa thừa là elay ở dòng đầu tiên nữa nhé

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×